This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 471659 - multipath creates redundant device map when reinstating device
multipath creates redundant device map when reinstating device
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: device-mapper-multipath (Show other bugs)
5.1
All Linux
medium Severity medium
: rc
: ---
Assigned To: LVM and device-mapper development team
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-14 16:30 EST by Dan Wong
Modified: 2010-05-18 12:58 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-18 12:58:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Wong 2008-11-14 16:30:57 EST
Description of problem:

multipath -ll will show redundant device map entry when my iscsi device disconnects/reconnects from session recovery

the following is the output from multipath -ll, 
(mpath45 is the redundant entry, mpath47 is the correct entry)

mpath47 (36090a01850cc5d2ede918484e367c67c) dm-19 EQLOGIC,100E-00
[size=5.0G][features=0][hwhandler=0]
\_ round-robin 0 [prio=1][active]
 \_ 129:0:0:0 sds 65:32  [active][ready]
\_ round-robin 0 [prio=1][enabled]
 \_ 130:0:0:0 sdp 8:240  [active][ready]
mpath45 (36090a01850cc2d66dd91e483e367a698) dm-18 EQLOGIC,100E-00
[size=5.0G][features=0][hwhandler=0]
\_ round-robin 0 [prio=1][active]
 \_ 130:0:0:0 sdp 8:240  [active][ready]



Version-Release number of selected component (if applicable):
device-mapper-multipath-0.4.7-12.el5
kernel: 2.6.18-53.el5

How reproducible:
Once every few hours

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ben Marzinski 2008-11-18 13:22:31 EST
Looking at the output that you posted, the two multipath devices have different
WWIDs (mpath47 has a WWID of 36090a01850cc5d2ede918484e367c67c, and mpath45 has a WWID of 36090a01850cc2d66dd91e483e367a698).

This value should be determined by running 
/sbin/scsi_id -g -u -s /block/<device>
unless you have a different value set for getuid_callout in /etc/multipath.conf

So the real question is, why does the WWID for sdp change? It seem like it must be changing, since devices get slotted into multipath maps based on their WWID. Does the WWID for your device change during session recovery?
Comment 2 Dan Wong 2008-11-21 09:49:34 EST
the getuid_callout is commented out.
but i believe by default it uses  "/sbin/scsi_id -g -u -s /block/%n"

I haven't hit the problem since I rebooted the system. 

I did some iscsi session recovery tests and they seem to work fine.

/sbin/scsi_id -g -u -s /block/<device> displays the same WWID before and after session recovery.

the root of the problem seems to be in the iscsi layer because it's some how reporting a different scsi id. 

I'll ping the open-iscsi guys about this.
Comment 3 Ben Marzinski 2009-06-19 18:21:00 EDT
Do you have any more information about this issue?

Note You need to log in before you can comment on or make changes to this bug.